org.apache.storm.sql.parser

## Class ColumnDefinition

- java.lang.Object
- - org.apache.calcite.sql.SqlNode
  - - org.apache.calcite.sql.SqlNodeList
    - - org.apache.storm.sql.parser.ColumnDefinition

- All Implemented Interfaces:
    Cloneable, Iterable<org.apache.calcite.sql.SqlNode>

      public class ColumnDefinition
      extends org.apache.calcite.sql.SqlNodeList

- - ### Field Summary

    - ### Fields inherited from class org.apache.calcite.sql.SqlNodeList

      `EMPTY`

    - ### Fields inherited from class org.apache.calcite.sql.SqlNode

      `EMPTY_ARRAY, pos`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnDefinition(org.apache.calcite.sql.SqlIdentifier name, org.apache.calcite.sql.SqlDataTypeSpec type, ColumnConstraint constraint, org.apache.calcite.sql.parser.SqlParserPos pos)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ColumnConstraint` | `constraint()`
    `String` | `name()`
    `org.apache.calcite.sql.SqlDataTypeSpec` | `type()`

    - ### Methods inherited from class org.apache.calcite.sql.SqlNodeList

      `accept, add, clone, equalsDeep, get, getList, isEmptyList, iterator, set, size, toArray, unparse, validate, validateExpr`

    - ### Methods inherited from class org.apache.calcite.sql.SqlNode

      `clone, cloneArray, equalDeep, equalDeep, equalsDeep, findValidOptions, getKind, getMonotonicity, getParserPosition, isA, toSqlString, toSqlString, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ColumnDefinition

          public ColumnDefinition(org.apache.calcite.sql.SqlIdentifier name,
                                  org.apache.calcite.sql.SqlDataTypeSpec type,
                                  ColumnConstraint constraint,
                                  org.apache.calcite.sql.parser.SqlParserPos pos)

  - ### Method Detail

    - #### name

          public String name()

    - #### type

          public org.apache.calcite.sql.SqlDataTypeSpec type()

    - #### constraint

          public ColumnConstraint constraint()

Copyright © 2021 The Apache Software Foundation. All rights reserved.